瀏覽代碼

Add a basic travis file for unit tests

  Only code formatting implemented at the moment.

  Travis is currently Ubuntu 14.04, which is missing multiple library versions needed. Bootstrapping in Python 3.5, Meson and Ninja is possible, but can take a while, but also bootstrapping in libsystemd is one step too many for now as it takes a significant amount of time.
Marc Di Luzio 7 年之前
父節點
當前提交
1f12bcb892
共有 2 個文件被更改,包括 25 次插入0 次删除
  1. 11 0
      .travis.yml
  2. 14 0
      scripts/format-check.sh

+ 11 - 0
.travis.yml

@@ -0,0 +1,11 @@
+language: c
+compiler: gcc
+sudo: false
+
+addons:
+  apt:
+    packages:
+      - clang-format-3.4
+
+script:
+  - ./scripts/format-check.sh

+ 14 - 0
scripts/format-check.sh

@@ -0,0 +1,14 @@
+#!/bin/bash
+# Simple script to check for clang-format compliance
+wget https://llvm.org/svn/llvm-project/cfe/trunk/tools/clang-format/git-clang-format
+chmod +x git-clang-format
+
+CLANG_FORMAT_OUTPUT=$(./git-clang-format --diff)
+if [[ ! $CLANG_FORMAT_OUTPUT == "no modified files to format" ]]; then
+  echo "Failed clang format check:"
+  echo "${CLANG_FORMAT_OUTPUT}"
+  exit 1
+else
+  echo "Passed clang format check"
+fi
+